HTMLParamElement (Java SE 15 & JDK 15)
Description: declaration: module: jdk.xml.dom, package: org.w3c.dom.html, interface: HTMLParamElement
Keywords: org.w3c.dom.html.HTMLParamElement interface

Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLParamElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

    public interface HTMLParamElement
    extends HTMLElement

Parameters fed to the `OBJECT` element. See the PARAM element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

- ## Field Summary

  ### Fields declared in interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getName()` | The name of a run-time parameter.
  `String` | `getType()` | Content type for the `value` attribute when `valuetype` has the value "ref".
  `String` | `getValue()` | The value of a run-time parameter.
  `String` | `getValueType()` | Information about the meaning of the `value` attribute value.
  `void` | `setName​(String name)` |
  `void` | `setType​(String type)` |
  `void` | `setValue​(String value)` |
  `void` | `setValueType​(String valueType)` |

  ### Methods declared in interface org.w3c.dom.Element

  `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

  ### Methods declared in interface org.w3c.dom.html.HTMLElement

  `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

  ### Methods declared in interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Method Details

  - ### getName

    String getName()
    The name of a run-time parameter. See the name attribute definition in HTML 4.0.

  - ### setName

    void setName​(String name)

  - ### getType

    String getType()
    Content type for the `value` attribute when `valuetype` has the value "ref". See the type attribute definition in HTML 4.0.

  - ### setType

    void setType​(String type)

  - ### getValue

    String getValue()
    The value of a run-time parameter. See the value attribute definition in HTML 4.0.

  - ### setValue

    void setValue​(String value)

  - ### getValueType

    String getValueType()
    Information about the meaning of the `value` attribute value. See the valuetype attribute definition in HTML 4.0.

  - ### setValueType

    void setValueType​(String valueType)